// Base
import * as base from './_crud-base'

const path = '/api/vclaim/v1/reference/medicine'
const name = 'medicine'

export function getList(params: any = null) {
  return base.getList(path, params, name)
}

export async function getValueLabelList(params: any = null): Promise<{ value: string; label: string }[]> {
  let data: { value: string; label: string }[] = []
  const result = await getList(params)
  if (result.success) {
    const resultData = result.body?.response?.list || []
    data = resultData.map((item: any) => ({
      value: item.kode ? String(item.kode) : '',
      label: item.nama,
    }))
  }
  return data
}
